#! /bin/ksh

# Set the JVM Vendor and Version
export JAVA_HOME=/opt/local/java

if [ ! -f $JAVA_HOME/bin/java ] ; then
print "$JAVA_HOME/bin/java n'existe pas"
exit 1
fi

# Set the path with the given JVM
export PATH=$JAVA_HOME/bin:$PATH

# Set the classpath to be used
CP1=$(echo `pwd`/lib/*.jar | tr ' ' ':')

CP="`pwd`/conf:`pwd`/classes:`pwd`/test-classes:$CP1"
echo ClassPath=$CP

# delete previous database datas
rm -f infinispan-test.*
java -cp $CP org.hsqldb.Server -database.0 file:infinispan-test -dbname.0 infinispan-test
