#! /bin/ksh

# Set the JVM Vendor and Version
export JAVA_HOME=/opt/local/java

if [ ! -f $JAVA_HOME/bin/java ] ; then
print "$JAVA_HOME/bin/java n'existe pas"
exit 1
fi

# Set the path with the given JVM
export PATH=$JAVA_HOME/bin:$PATH

# Set the classpath to be used
CP1=$(echo `pwd`/lib/*.jar | tr ' ' ':')

CP="`pwd`:`pwd`/conf:$CP1"
echo ClassPath=$CP

java -Xms256m -Xmx1536m -Dtest.nodeNb=2 -Dtest.nodeId=1 -Dtest.nbThread=32 -Dtest.nbRequest=500 -Dtest.nbLoopRead=5 -Dtest.nbPersonPerFamily=3 -cp $CP test.Runner
